%define upstream_name	 Youri-Package-RPM-Updater
%define upstream_version 0.6.3

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Update RPM packages
License:    GPL+ or Artistic
Group:      Development/Other
Url:        http://youri.zarb.org
Source0:    https://github.com/pterjan/%{upstream_name}/releases/download/release-%{upstream_version}/%{upstream_name}-%{upstream_version}.tar.gz

# (tv) temporary disabled due to missing perl-SVN with new perl:
#BuildRequires:	perl(SVN::Client)

BuildRequires: perl(DateTime)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Readonly)
BuildRequires: perl(SVN::Client)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(YAML::AppConfig)
BuildRequires: perl(Youri::Package) >= 0.2.0
BuildRequires: perl(version)
BuildRequires: perl(version)
Requires:   perl-version
BuildArch:  noarch

%description
YOURI stands for "Youri Offers an Upload & Repository Infrastucture". It aims
to build tools making management of a coherent set of packages easier.

This module updates rpm packages. When given an explicit new version, it
updates the spec file, and downloads new sources automatically. When not given
a new version, it just updates the spec file.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# (tv) temporary disabled due to missing perl-SVN with new perl:
#%__make test

%install
%make_install

%files 
%doc Changes META.yml README
%{perl_vendorlib}/Youri
%{_mandir}/man3/*


%changelog
* Tue Mar 22 2022 umeabot <umeabot> 0.6.3-2.mga9
+ Revision: 1817374
- Mageia 9 Mass Rebuild
+ pterjan <pterjan>
- Update to 0.6.3

* Wed Feb 12 2020 umeabot <umeabot> 0.6.2-9.mga8
+ Revision: 1498585
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.6.2-8.mga7
+ Revision: 1272909
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.6.2-7.mga6
+ Revision: 1036190
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.6.2-6.mga6
+ Revision: 932281
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.6.2-5.mga5
+ Revision: 749917
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.2-4.mga5
+ Revision: 686999
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.6.2-3.mga4
+ Revision: 516317
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.6.2-2.mga3
+ Revision: 375334
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 06 2012 pterjan <pterjan> 0.6.2-1.mga3
+ Revision: 327072
- 0.6.2
+ spuhler <spuhler>
- increase rel for rebuild

* Sun Mar 06 2011 guillomovitch <guillomovitch> 0.6.1-1.mga1
+ Revision: 65634
- new version

* Sat Feb 26 2011 jquelin <jquelin> 0.6.0-1.mga1
+ Revision: 60571
- update to 0.6.0

* Mon Jan 24 2011 jquelin <jquelin> 0.5.2-3.mga1
+ Revision: 36720
- mageia rebuild
- imported package perl-Youri-Package-RPM-Updater

